# Hardware configuration file common to all Purism Librem 15 ver 3 TPM devices
{
  config,
  lib,
  pkgs,
  ...
}: {
  imports = [<nixpkgs/nixos/modules/installer/scan/not-detected.nix>];

  boot = {
    initrd = {
      availableKernelModules = [
        "xhci_pci" # xHCI host controller driver PCI Bus Glue
        "ahci" # AHCI SATA support
        "nvme"
        "usbhid" # USB HID transport layer
        "usb_storage" # USB Mass Storage support
        "sd_mod" # SCSI disk support
        "aesni_intel" # AES-NI + SSE2 implementation of AEGIS-128
        "cryptd" # Software async crypto daemon
      ];
      kernelModules = ["dm-snapshot"];
      luks.devices."cryptroot".device = "/dev/disk/by-uuid/52040288-dea9-4e74-9438-d0946b48a1f4";
    };
    kernelModules = ["kvm-intel"]; # Enable kvm for libvirtd
  };

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/848e15eb-992b-499f-89b1-be8bc59af41c";
    fsType = "ext4";
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/a9d48855-edaf-40b9-9296-58e9b7c7eb96";
    fsType = "ext4";
  };

  swapDevices = [{device = "/dev/disk/by-uuid/ac308d76-cc12-4a73-83ee-64a2ad07b91e";}];

  nix.settings.max-jobs = lib.mkDefault 4;
}
