# Power management configuration for the laptops
{
  config,
  pkgs,
  lib,
  ...
}: {
  powerManagement = {
    enable = true;
    cpuFreqGovernor = lib.mkDefault "performance";
    powertop.enable = true; # Enable powertop auto tuning on startup
  };

  services = {
    logind = {
      lidSwitch = "hibernate";
      lidSwitchDocked = "ignore";
    };
    tlp.enable = false;
    upower = {
      enable = true; # Enable application power managemetn support
      percentageCritical = 15;
      percentageAction = 10;
      criticalPowerAction = "Hibernate";
    };
  };
}
