# Configuration common to all my servers
{
  config,
  pkgs,
  lib,
  ...
}: let
  sources = import ../nix/sources.nix;
  nixpkgs2111 = (import sources.nixos2111 {}).pkgs;
in {
  imports = [
    ../profiles/openssh.nix
    ../secrets/user-craige.nix
    ../secrets/user-root.nix
  ];

  programs.mosh = {
    enable = true;
    withUtempter = true;
  };

  services.postgresql = {
    package = pkgs.postgresql_11;
  };

  security.polkit.enable = false; # avoid CVE-2021-4034 (PwnKit)
  services.udisks2.enable = false; # disable udisks2 which enables polkit
}
